import 'package:ernaehrung/android/components/circular/circular_component.dart';
import 'package:flutter/material.dart';

class StatisticsPercentComponent extends StatelessWidget {
  late int eaten, calorienBurned, calorienLeft, calorienLeftPercent;

  StatisticsPercentComponent(this.eaten, this.calorienBurned, this.calorienLeft, {super.key});

  int get getEaten => eaten;
  get getCalorienBurned => calorienBurned;
  get getCalorienLeft => calorienLeft;
  get getCalorienLeftPercent => calorienLeftPercent;

  @override
  Widget build(BuildContext context) {
    return Row(
      crossAxisAlignment: CrossAxisAlignment.center,
      mainAxisAlignment: MainAxisAlignment.spaceBetween,
      children: [
        Text("$eaten gegessen"),
        CircularLoadingComponent(eaten),
        Text("$calorienBurned verbrannt"),
      ],
    );
  }

}
